Loading...
Searching...
No Matches
pappso::FilterSuite Class Reference

apply a suite of filters from a vector More...

`#include <filtersuite.h>`

Inheritance diagram for pappso::FilterSuite:

## Public Member Functions

| FilterSuite ()
| FilterSuite (const FilterSuite &other)
Trace & | filter (Trace &data_points) const override
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Detailed Description

apply a suite of filters from a vector

Definition at line 38 of file filtersuite.h.

## Constructor & Destructor Documentation

## FilterSuite() [1/2]

FilterSuite::FilterSuite | ( |  | ) |

Definition at line 34 of file filtersuite.cpp.

{
}

## FilterSuite() [2/2]

FilterSuite::FilterSuite | ( | const FilterSuite & | other | ) |

Definition at line 37 of file filtersuite.cpp.

: std::vector<FilterInterfaceSPtr>(other)
{
}

## Member Function Documentation

## filter()

Trace & FilterSuite::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 43 of file filtersuite.cpp.

{
qDebug();
for(auto &&filter : *this)
{
qDebug();
filter.get()->filter(data_points);
}
qDebug();
return data_points;
}
pappso::FilterSuite::filter
Trace & filter(Trace &data_points) const override
Definition filtersuite.cpp:43
pappso::Trace::filter
virtual Trace & filter(const FilterInterface &filter) final
apply a filter on this trace
Definition trace.cpp:1210

References pappso::Trace::filter(), and filter().

Referenced by filter().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtersuite.h
- pappsomspp/processing/filters/filtersuite.cpp